## org.jgroups.conf
Class XmlConfigurator

    java.lang.Object
      org.jgroups.conf.XmlConfigurator

All Implemented Interfaces:
  ProtocolStackConfigurator

    public class XmlConfigurator

extends java.lang.Object
implements ProtocolStackConfigurator

Field Summary
`protected static Log` `log`

Constructor Summary
`protected` `XmlConfigurator(java.util.List<ProtocolConfiguration> protocols)`

Method Summary
`static XmlConfigurator` `getInstance(org.w3c.dom.Element el)`
`static XmlConfigurator` `getInstance(java.io.InputStream stream)`
`static XmlConfigurator` `getInstance(java.io.InputStream stream, java.lang.Boolean validate)`
`static XmlConfigurator` `getInstance(java.net.URL url)`
`static XmlConfigurator` `getInstance(java.net.URL url, java.lang.Boolean validate)`
`java.util.List<ProtocolConfiguration>` `getProtocolStack()`
`java.lang.String` `getProtocolStackString()`
`java.lang.String` `getProtocolStackString(boolean convert)`
`static void` `main(java.lang.String[] args)`
`protected static XmlConfigurator` `parse(org.w3c.dom.Element root_element)`
`protected static XmlConfigurator` `parse(java.io.InputStream stream, java.lang.Boolean validate)`
`static java.lang.String` `replace(java.lang.String input, java.lang.String expr, java.lang.String replacement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

Constructor Detail

### XmlConfigurator

    protected XmlConfigurator(java.util.List<ProtocolConfiguration> protocols)

Method Detail

### getInstance

    public static XmlConfigurator getInstance(java.net.URL url)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static XmlConfigurator getInstance(java.io.InputStream stream)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static XmlConfigurator getInstance(org.w3c.dom.Element el)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static XmlConfigurator getInstance(java.net.URL url,
                                              java.lang.Boolean validate)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static XmlConfigurator getInstance(java.io.InputStream stream,
                                              java.lang.Boolean validate)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getProtocolStackString

    public java.lang.String getProtocolStackString(boolean convert)

  Parameters:
    `convert` - If false: print old plain output, else print new XML format
  Returns:
    String with protocol stack in specified format

### getProtocolStackString

    public java.lang.String getProtocolStackString()

  Specified by:
    `getProtocolStackString` in interface `ProtocolStackConfigurator`

### getProtocolStack

    public java.util.List<ProtocolConfiguration> getProtocolStack()

  Specified by:
    `getProtocolStack` in interface `ProtocolStackConfigurator`

### parse

    protected static XmlConfigurator parse(java.io.InputStream stream,
                                           java.lang.Boolean validate)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### parse

    protected static XmlConfigurator parse(org.w3c.dom.Element root_element)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### replace

    public static java.lang.String replace(java.lang.String input,
                                           java.lang.String expr,
                                           java.lang.String replacement)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.